Author Topic: Patch for DoxyBlocks when self building CodeBlocks in Linux using wx2.8  (Read 2551 times)

Offline stahta01

  • Lives here!
  • ****
  • Posts: 7176
    • My Best Post
Patch needed if both wx3.0 and wx2.8 dev files installed.

Patch removes unneeded wx-config at project level the one at target level is done correctly.

Tim S.

Code
Index: plugins/contrib/DoxyBlocks/DoxyBlocks-unix.cbp
===================================================================
--- plugins/contrib/DoxyBlocks/DoxyBlocks-unix.cbp (revision 10251)
+++ plugins/contrib/DoxyBlocks/DoxyBlocks-unix.cbp (working copy)
@@ -55,7 +55,6 @@
  <Add option="-ansi" />
  </Compiler>
  <Linker>
- <Add option="`wx-config --libs`" />
  <Add option="-Wl,--no-undefined" />
  </Linker>
  <Unit filename="AutoDoc.cpp" />
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline killerbot

  • Administrator
  • Lives here!
  • *****
  • Posts: 5296
applied